PETSc version 3.15.5
Fix/Edit manual page

# PetscHelpPrintf

Prints help messages.

### Synopsis

    #include <petscsys.h>
    PetscErrorCode (*PetscHelpPrintf)(MPI_Comm comm, const char format[],args);

Collective on comm

### Input Parameters

| comm | - the MPI communicator over which the help message is printed
| format | - the usual printf() format string
| args | - arguments to be printed

### Fortran Note

This routine is not supported in Fortran.

### Note

You can change how help messages are printed by replacing the function pointer with a function that does not simply write to stdout.

To use, write your own function, for example,

    PetscErrorCode mypetschelpprintf(MPI_Comm comm,const char format[],....)

    { $ PetscFunctionReturn(0);

    } then do the assigment

       PetscHelpPrintf = mypetschelpprintf;

You can do the assignment before PetscInitialize().

The default routine used is called PetscHelpPrintfDefault().

### See Also

PetscFPrintf(), PetscSynchronizedPrintf(), PetscErrorPrintf()

### Level

developer

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages